Update a Task status
PUT
/customer-api/v1/task-management/task/{taskUuid}/status
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PUT");curl_easy_setopt(hnd, CURLOPT_URL, "https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"status\": \"open\" }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"status\": \"open\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status"
payload := strings.NewReader("{ \"status\": \"open\" }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("PUT", HttpRequest.BodyPublishers.ofString("{ \"status\": \"open\" }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"status\": \"open\" }");Request request = new Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status") .put(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'PUT', url: 'https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: {status: 'open'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"open"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"status\": \"open\" }")val request = Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status") .put(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_POSTFIELDS => json_encode([ 'status' => 'open' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ],]);
$response = curl_exec($curl);$err = curl_error($curl);
curl_close($curl);
if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status', [ 'body' => '{ "status": "open" }', 'headers' => [ 'Authorization' => 'Bearer <token>', 'Content-Type' => 'application/json', ],]);
echo $response->getBody();import http.client
conn = http.client.HTTPSConnection("your-instance.seventhings.com")
payload = "{ \"status\": \"open\" }"
headers = { 'Authorization': "Bearer <token>", 'Content-Type': "application/json"}
conn.request("PUT", "/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status", payload, headers)
res = conn.getresponse()data = res.read()
print(data.decode("utf-8"))import requests
url = "https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status"
payload = { "status": "open" }headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.json())use std::str::FromStr;use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status";
let payload = json!({"status": "open"});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("PUT").unwrap(), url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request PUT \ --url https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "open" }'wget --quiet \ --method PUT \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '{ "status": "open" }' \ --output-document \ - https://your-instance.seventhings.com/customer-api/v1/task-management/task/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/statusUpdate a Task status.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskUuid
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Task status
Media typeapplication/json
object
status
The type of the referenced object.
string
Example
closedResponses
Section titled “Responses”The Task was updated successfully.
Access token is missing or invalid.
You are not permitted to perform the requested operation.
The requested resource could not be found.
Internal Server Error.

